# OTAILab

A Python package for Operations Research and Optimization Algorithms.

## Features

- Critical Path Method (CPM) Analysis
- PERT (Program Evaluation and Review Technique)
- Assignment Problem Solver (Hungarian Algorithm)
- Linear Programming Solver
- Dynamic Programming Solutions
  - Knapsack Problem
  - Subset Sum Problem
  - Longest Common Subsequence
- Optimization Algorithms
  - Stochastic Gradient Descent
  - Quadratic Function Minimization
  - KKT (Karush-Kuhn-Tucker) Optimization

## Requirements

- Python >=3.6
- networkx >=2.0
- matplotlib >=3.0
- numpy >=1.19.0
- scipy >=1.6.0
- sympy >=1.8

## Installation

```bash
pip install otailab